On Tue, Nov 30, 2010 at 12:58 PM, Christian Maeder <Christian.Maeder@dfki.de> wrote:
Am 30.11.2010 13:42, schrieb John Lato:
> This is a problem for me as I use the gtk-osx native version rather than
> macports, so I need to patch the gtk2hs source in order to build it.

a bit off topic:

Do you have a "proper package" for your "gtk-osx native version", or do
you compile from sources (using jhbuild)?

I compile from source with jhbuild, and I don't like to do it often because the source seems pretty unstable.  I try to avoid MacPorts due to libiconv incompatibilities.  Trying to use Haskell + gtk+ on OSX is a huge mess; wxWidgets doesn't look any better or I'd switch.  One of these days I should try QT, except I don't want to learn yet another widget framework.

I don't have any experience making packages on OS X, but a proper package for gtk-osx would be very useful.  If anyone wanted to offer suggestions I would consider trying to bundle one up.  I am surprised you would have trouble building packages on 10.6 that also work on 10.5; I thought that 10.4/10.5 was a much larger change.

John